Subject: Re: [Ltru] Applicability Statement for the IANA registry established by 4646

From: CE Whitehead <[email-masked]>
Date: Wed, 24 Jun 2009 19:26:14 -0400

Hi, if the only problem is the use of the terms, 'fallback' and 'backup' I'd change 'appropriate fallback choices' to 'appropriate alternative languages' or 'appropriate alternative language choices'  maybe; I don't know about West and Northwest really I'm confused try Atlantic coast?:

"It does not contain information about appropriate alternative languages (in language negotiation).  A good alternate might in fact be linguistically unrelated to the language it serves as an alternate for.  This is because the preference for a particular language alternate is often the result of outside factors--such as geograpphy, history, or culture--factors which may vary from user to user.   For example, most people who use Breton (a Celtic language used in Brittany/on a portion of the Atlantic coast of France) would probably prefer to be served French (a Romance language) if Breton isn't available."

(hope I've used 'alternate' and 'alternative' correctly).

Best,

C. E. Whitehead

[email-masked]

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 24 Jun 2009 17:35:01 -0700

I support eliminating the discussion of language negotiation altogether. It really belongs in a discussion of matching.

If we must have it, it is useful to glance at RFC 4647. The term “fallback” is used extensively with the Lookup matching scheme. But there is a very precise term we’ve established when talking about the “fallback in extremis”: Section 3.4.1 uses “default value” (and there is a long discussion there of the topic). If we must have something like this text, then perhaps:

--

    - It does not contain information about appropriate default values to use in language matching [RFC 4647, Section 3.4.1]. A good default value for a particular language request might be linguistically unrelated to the languages specified in the request. For example, people who use Breton (a Celtic language used in western France) might prefer to be served French (a Romance language) if Breton isn't available.
--

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

From: CE Whitehead [mailto:[email-masked]]
Sent: Wednesday, June 24, 2009 4:26 PM
To: [email-masked]
Cc: [email-masked]; Phillips, Addison
Subject: Re: [Ltru] Applicability Statement for the IANA registry established by 4646

Best,

C. E. Whitehead
[email-masked]<mailto:[email-masked]>

---

From: Mark Davis ⌛ <[email-masked]>
Date: Wed, 24 Jun 2009 17:39:58 -0700

I also support eliminating the discussion of language negotiation; it isn't
needed, and it is late in the game for such changes.

Mark

On Wed, Jun 24, 2009 at 17:35, Phillips, Addison <[email-masked]> wrote:

>  I support eliminating the discussion of language negotiation altogether.
> It really belongs in a discussion of matching.
>
>
>
> If we must have it, it is useful to glance at RFC 4647. The term “fallback”
> is used extensively with the Lookup matching scheme. But there is a very
> precise term we’ve established when talking about the “fallback in
> extremis”: Section 3.4.1 uses “default value” (and there is a long
> discussion there of the topic). If we must have something like this text,
> then perhaps:
>
>
>
> --
>
>     - It does not contain information about appropriate default values to
> use in language matching [RFC 4647, Section 3.4.1]. A good default value for
> a particular language request might be linguistically unrelated to the
> languages specified in the request. For example, people who use Breton (a
> Celtic language used in western France) might prefer to be served French (a
> Romance language) if Breton isn't available.
>
> --
>
>
>
> Addison Phillips
>
> *From:* CE Whitehead [mailto:[email-masked]]
> *Sent:* Wednesday, June 24, 2009 4:26 PM
> *To:* [email-masked]
> *Cc:* [email-masked]; Phillips, Addison
> *Subject:* Re: [Ltru] Applicability Statement for the IANA registry
> established by 4646
>
>
>
>
> Hi, if the only problem is the use of the terms, 'fallback' and 'backup'
> I'd change 'appropriate fallback choices' to 'appropriate alternative
> languages' or 'appropriate alternative language choices'  maybe; I don't
> know about West and Northwest really I'm confused try Atlantic coast?:
>
> "It does not contain information about appropriate alternative languages
> (in language negotiation).  A good alternate might in fact be linguistically
> unrelated to the language it serves as an alternate for.  This is because
> the preference for a particular language alternate is often the result of
> outside factors--such as geograpphy, history, or culture--factors which may
> vary from user to user.   For example, most people who use Breton (a Celtic
> language used in Brittany/on a portion of the Atlantic coast of France)
> would probably prefer to be served French (a Romance language) if Breton
> isn't available."
>
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru
>
>

---

From: CE Whitehead <[email-masked]>
Date: Thu, 25 Jun 2009 18:37:31 -0400

Sorry for having suggested 'alternate.'  The reference to RFC 4647 seems fine, if it's needed--although you already say at the beginning of the draft that the draft is to be used together with RFC 4647.  But I am confused totally about the 'applicability statement' anyway as I did not find it in the draft. It's finished?  No further discussion?

(Sorry to take so long to get back.)

Best,
 
C. E. Whitehead
[email-masked]

Date: Wed, 24 Jun 2009 17:39:58 -0700
Subject: Re: [Ltru] Applicability Statement for the IANA registry established by 4646
From: [email-masked]
To: [email-masked]
CC: [email-masked]; [email-masked]

I also support eliminating the discussion of language negotiation; it isn't needed, and it is late in the game for such changes.
Mark

 

Addison Phillips
 
Internationalization is not a feature.
It is an architecture.
(NOTE:
I botched the text below anyway (I wrote it at five minutes till closing yesterday); I do not think 'alternative' really goes at all--unless we said "appropriate alternatives to the primary language" but otherwise it would be "appropriate alternates"  )

 

 
 
Best,
 
C. E. Whitehead
[email-masked]

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 25 Jun 2009 15:53:31 -0700

Hi -

> From: "CE Whitehead" <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, June 25, 2009 3:37 PM
...
> But I am confused totally about the 'applicability statement' anyway as I did not
> find it in the draft.

It was added via the RFC editor note in the IESG "protocol action"
announcement.  All that is left before publication is "AUTH48" -
that's the 48-hour (but sometimes much longer) period during which
the editors verify that the RFC editor didn't inadvertantly break
something during the editing process.

>  It's finished?

As far as the WG is concerned, yes.  We're just waiting for the
publication wheels to turn.  Sometimes they move slowly, sometimes
they move with astonishing speed.  In this particular case, I'm not aware
of anything that would slow down publication, but I know better than to
guess when it will actually be published.

>  No further discussion?

There's not much point in it.  In a separate thread, we'll take up the
question of whether the WG should re-charter.

Randy